import {createRouter, createWebHistory} from 'vue-router'
import staticRouter from './modules/static'
import Temp404 from '@/views/global/temp/404.vue'


const routes = [
    ...staticRouter,
    { path: '/:pathMatch(.*)*', name: 'NotFound', component: Temp404 },
    { path: '', redirect: '/web' },
]

const router = createRouter({
    history: createWebHistory(),
    routes,
});

router.beforeEach((to, from , next) => {
    next()
})

export default router;
